# Get Entities Filters By Query

Returns the available filter options that can be used when querying entities  based on the provided query.This helps in building dynamic filter UIs for entity  exploration and discovery.The response includes filter names and their possible  values based on the current entities in the system.

Endpoint: POST /v1/entities/filters
Version: 1.0
Security: x-api-key

## Query parameters:

  - `accountIdentifier` (string, required)
    Unique identifier of the account to operate on

  - `kind` (string)
    Filter entities by their kind (e.g., component, api, resource, user, workflow)

  - `scopes` (string)
    Filter entities by specific scopes (account.\, account, account.org, account.org.project, account.orgId, account.orgId.projectId, account.orgId.\)

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to.

## Request fields (application/json):

  - `entity_refs` (array)

## Response 200 fields (application/json):

  - `filter` (string)
    Name of the filter (e.g., type, lifecycle, owner)

  - `values` (object)
    Available values for the filter (depends on the filter type)


